Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class MethodClosure

Represents a method on an object using a closure which can be invoked at any time

author:
  James Strachan

version:
  $Revision: 9556 $

Field Summary
`String` | `method`

Constructor Summary
`MethodClosure(Object owner, String method)`

Method Summary
`Object` | `doCall(Object arguments)`
`String` | `getMethod()`
`Object` | `getProperty(String property)`

Constructor Detail

### MethodClosure

    public MethodClosure(Object owner, String method)

Method Detail

### doCall

    Object doCall(Object arguments)

### getMethod

    public String getMethod()

### getProperty

    public Object getProperty(String property)